{
  lib,
  python311,
  fetchFromGitHub,
  pkgs
}:

let
  python311 = pkgs.python311.override {
    self = python311;
    packageOverrides = pyfinal: pyprev: {
      pyo = pyfinal.callPackage ./pyo.nix { };
    };
  };

in
python311.pkgs.buildPythonApplication rec {
  pname = "cecilia5";
  version = "5.4.0";
  pyproject = true;

  src = fetchFromGitHub {
    owner = "belangeo";
    repo = "cecilia5";
    rev = version;
    hash = "sha256-8WnzVSaDz4x6JgRGSI4Ra60hDS1fy+oCRLdyQIfq6WI=";
  };

  build-system = [
    python311.pkgs.setuptools
    python311.pkgs.wheel
    python311.pkgs.pyo
    python311.pkgs.wxpython
    python311.pkgs.numpy
  ];

  pythonImportsCheck = [
    "cecilia5"
  ];

  meta = {
    description = "Ear-bending noises and music";
    homepage = "https://github.com/belangeo/cecilia5";
    mainProgram = "cecilia5";
  };
}
