{
  lib,
  buildPythonPackage,
  fetchPypi,
  setuptools,
  wheel,
  pkgs
}:

buildPythonPackage rec {
  pname = "pyo";
  version = "1.0.5";

  src = fetchPypi {
    inherit pname version;
    hash = "sha256-4ELZR6C2QbQA4ij54h7soh34v0iVxtvQE/h2ONdyjjE=";
  };

  propagatedBuildInputs = with pkgs; [
    portaudio
    libsndfile
    portmidi
    liblo
  ];

  # do not run tests
  doCheck = false;

  # specific to buildPythonPackage, see its reference
  pyproject = true;
  build-system = [
    setuptools
    wheel
  ];
}
